﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ComuRestaurant.Objectes
{
    public class Client
    {
        private int idClient;
        private string nom;
        private string cognom1;
        private string cognom2;
        private string mail;


        public int IdClient
        {
            get { return this.idClient; }
            set { this.idClient = value; }
        }

        public string Nom
        {
            get { return this.nom; }
            set { this.nom = value; }
        }

        public string Cognom1
        {
            get { return this.cognom1; }
            set { this.cognom1 = value; }
        }

        public string Cognom2
        {
            get { return this.cognom2; }
            set { this.cognom2 = value; }
        }
        public string Mail
        {
            get { return this.mail; }
            set { this.mail = value; }
        }

    }

    public class Clients
    {
        private List<Client> colClients;

        public Clients()
        {
            this.colClients = new List<Client>();
        }

        public bool addTreballador(Client objClient)
        {
            if (Existe(objClient))
            {
                return false;
            }
            else
            {
                colClients.Add(objClient);
                return true;
            }
        }


        public bool delTreballador(Client objClient)
        {
            if (Existe(objClient))
            {
                return colClients.Remove(objClient);
            }
            else
            {
                return false;
            }
        }

        public bool Existe(Client objClient)
        {
            if (colClients.Contains(objClient))
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        
        public List<Client> getllista()
        {
            return colClients;
        }
    }
}
