﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ComuRestaurant.Objectes
{
    public class Comanda
    {
        private int idComanda;
        private int taula;
        private int comensals;
        private ICollection<LineaComanda> liniesComandes;



        public int IdComanda
        {
            get { return this.idComanda; }
            set { this.idComanda = value; }
        }

        public int Taula
        {
            get { return this.taula; }
            set { this.taula = value; }
        }

        public int Comensals
        {
            get { return this.comensals; }
            set { this.comensals = value; }
        }

        public ICollection<LineaComanda> LiniesComandes
        {
            get { return this.liniesComandes; }
            set { this.liniesComandes = value; }
        }


    }

    public class Comandes
    {
        private List<Comanda> colComanda;

        public Comandes()
        {
            this.colComanda = new List<Comanda>();
        }

        public bool addComanda(Comanda objComanda)
        {
            if (Existeix(objComanda))
            {
                return false;
            }
            else
            {
                colComanda.Add(objComanda);
                return true;
            }
        }


        public bool delComanda(Comanda objComanda)
        {
            if (Existeix(objComanda))
            {
                return colComanda.Remove(objComanda);
            }
            else
            {
                return false;
            }
        }

        public bool Existeix(Comanda objComanda)
        {
            if (colComanda.Contains(objComanda))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public List<Comanda> getllista()
        {
            return colComanda;
        }
    }
}
