﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ComuRestaurant.Objectes
{
    public class Rol
    {
        private int idRol;
        private string nom;

        public int IdRol
        {
            get { return this.idRol; }
            set { this.idRol = value; }
        }

        public string Nombre
        {
            get { return this.nom; }
            set { this.nom = value; }
        }
    }

    public class Rols
    {
        private Dictionary<int, Rol> colRols;

        public Rols()
        {
            this.colRols = new Dictionary<int, Rol>();
        }

        public bool addRol(Rol objRols)
        {
            if (Existe(objRols.IdRol))
            {
                return false;
            }
            else
            {
                colRols.Add(objRols.IdRol, objRols);
                return true;
            }
        }

        public bool delRol(int idRol)
        {
            if (Existe(idRol))
            {
                return colRols.Remove(idRol);
            }
            else
            {
                return false;
            }
        }
        public bool delRol(Rol objRols)
        {
            if (Existe(objRols.IdRol))
            {
                return colRols.Remove(objRols.IdRol);
            }
            else
            {
                return false;
            }
        }

        public bool Existe(int idRol)
        {
            if (colRols.ContainsKey(idRol))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public Rol getRol(int idRol)
        {
            if (Existe(idRol))
            {
                return colRols[idRol];
            }
            else
            {
                return null;
            }
        }

        public Dictionary<int, Rol> getDiccionario()
        {
            return colRols;
        }
    }
}
