﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfRestaurant
{
    public class Comandes:IComandes
    {
        public string Eliminar(string IdComanda)
        {
            Dalc.dalcComanda dalcCom = new Dalc.dalcComanda();
            return dalcCom.Eliminar(IdComanda);
        }

        public ComuRestaurant.Objectes.Comanda Obtindre(string IdComanda)
        {
            Dalc.dalcComanda dalcCom = new Dalc.dalcComanda();
            return dalcCom.Obtindre(IdComanda);
        }

        public List<ComuRestaurant.Objectes.Comanda> ObtindreTots()
        {
            Dalc.dalcComanda dalcCom = new Dalc.dalcComanda();
            return dalcCom.ObtindreTots();

        }

        public int TotalComandes()
        {
            Dalc.dalcComanda dalcCom = new Dalc.dalcComanda();
            return dalcCom.TotalComandes();
        }

        public int TotalLiniesComandes()
        {
            Dalc.dalcLiniesComada dalcLinCom = new Dalc.dalcLiniesComada();
            return dalcLinCom.TotalLiniesComandes();
        }

        public int TotalLiniesComandesPerComanda(string IdComanda)
        {
            Dalc.dalcLiniesComada dalcLinCom = new Dalc.dalcLiniesComada();
            return dalcLinCom.TotalLiniesComandesPerComanda(IdComanda);
        }

        public string EliminarLineaComanda(string IdLinea)
        {
            Dalc.dalcLiniesComada dalcLinCom = new Dalc.dalcLiniesComada();
            return dalcLinCom.EliminarLineaComanda(IdLinea);
        }


        public List<ComuRestaurant.Objectes.LineaComanda> ObtindreLiniesPerComanda(string IdComanda)
        {
            Dalc.dalcLiniesComada dalcLinCom = new Dalc.dalcLiniesComada();
            return dalcLinCom.ObtindreLiniesPerComanda(IdComanda);
        }

        public string LineaServida(string IdLinea)
        {
            Dalc.dalcLiniesComada dalcLinCom = new Dalc.dalcLiniesComada();
            return dalcLinCom.LineaServida(IdLinea);
        }

        public string DesarComanda(string Comanda)
        {
            Dalc.dalcComanda dalcCom = new Dalc.dalcComanda();
            return dalcCom.DesarComanda(Comanda);
        }

    }
}
