﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WcfRestaurant.Objectes
{
    public class Client
    {
        private int idClient;
        private string nom;
        private string cognom1;
        private string cognom2;
        private string mail;
        private string telefon;


        public int IdClient
        {
            get { return this.idClient; }
            set { this.idClient = value; }
        }

        public string Nom
        {
            get { return this.nom; }
            set { this.nom = value; }
        }

        public string Cognom1
        {
            get { return this.cognom1; }
            set { this.cognom1 = value; }
        }

        public string Cognom2
        {
            get { return this.cognom2; }
            set { this.cognom2 = value; }
        }
        public string Mail
        {
            get { return this.mail; }
            set { this.mail = value; }
        }

        public string Telefon
        {
            get { return this.telefon; }
            set { this.telefon = value; }
        }

    }

    public class Clients
    {
        private Dictionary<int, Client> colClients;

        public Clients()
        {
            this.colClients = new Dictionary<int, Client>();
        }

        public bool addTreballador(Client objClient)
        {
            if (Existe(objClient.IdClient))
            {
                return false;
            }
            else
            {
                colClients.Add(objClient.IdClient, objClient);
                return true;
            }
        }

        public bool delClient(int idClient)
        {
            if (Existe(idClient))
            {
                return colClients.Remove(idClient);
            }
            else
            {
                return false;
            }
        }
        public bool delClient(Client objClient)
        {
            if (Existe(objClient.IdClient))
            {
                return colClients.Remove(objClient.IdClient);
            }
            else
            {
                return false;
            }
        }

        public bool Existe(int idClient)
        {
            if (colClients.ContainsKey(idClient))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public Client getClient(int idClient)
        {
            if (Existe(idClient))
            {
                return colClients[idClient];
            }
            else
            {
                return null;
            }
        }

        public Dictionary<int, Client> getDiccionario()
        {
            return colClients;
        }
    }
}
