﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WcfRestaurant.Objectes
{
    public class Menu
    {
        private int idMenu;
        private Menu idMenu1;
        private Menu idMenu2;
        private Menu idPostre;
        private bool beguda;
        private decimal preu;
        private int comesals;
        private int iva;

        public int IdMenu
        {
            get { return this.idMenu; }
            set { this.idMenu = value; }
        }

        public Menu IdMenu1
        {
            get { return this.idMenu1; }
            set { this.idMenu1 = value; }
        }

        public Menu IdMenu2
        {
            get { return this.idMenu2; }
            set { this.idMenu2 = value; }
        }

        public Menu IdPostre
        {
            get { return this.idPostre; }
            set { this.idPostre = value; }
        }

        public bool Beguda
        {
            get { return this.beguda; }
            set { this.beguda = value; }
        }

        public Decimal Preu
        {
            get { return this.preu; }
            set { this.preu = value; }
        }

        public int Comesals
        {
            get { return this.comesals; }
            set { this.comesals = value; }
        }

        public int IVA
        {
            get { return this.iva; }
            set { this.iva = value; }
        }

    }

    public class Menus
    {
        private Dictionary<int, Menu> colMenus;

        public Menus()
        {
            this.colMenus = new Dictionary<int, Menu>();
        }

        public bool addMenu(Menu objMenus)
        {
            if (Existe(objMenus.IdMenu))
            {
                return false;
            }
            else
            {
                colMenus.Add(objMenus.IdMenu, objMenus);
                return true;
            }
        }

        public bool delMenu(int idMenu)
        {
            if (Existe(idMenu))
            {
                return colMenus.Remove(idMenu);
            }
            else
            {
                return false;
            }
        }
        public bool delMenu(Menu objMenus)
        {
            if (Existe(objMenus.IdMenu))
            {
                return colMenus.Remove(objMenus.IdMenu);
            }
            else
            {
                return false;
            }
        }

        public bool Existe(int idMenu)
        {
            if (colMenus.ContainsKey(idMenu))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public Menu getMenu(int idMenu)
        {
            if (Existe(idMenu))
            {
                return colMenus[idMenu];
            }
            else
            {
                return null;
            }
        }

        public Dictionary<int, Menu> getDiccionario()
        {
            return colMenus;
        }
    }
}
