﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WcfRestaurant.Objectes
{
    public class Plat
    {
        private int idPlat;
        private string nom1;
        private string nom2;
        private string nom3;
        private TipusPlat idTipus;
        private Decimal preu;
        private int comensals;

        public int IdPlat
        {
            get { return this.idPlat; }
            set { this.idPlat = value; }
        }

        public string Nom1
        {
            get { return this.nom1; }
            set { this.nom1 = value; }
        }

        public string Nom2
        {
            get { return this.nom2; }
            set { this.nom2 = value; }
        }
        
        public string Nom3
        {
            get { return this.nom3; }
            set { this.nom3 = value; }
        }

        public TipusPlat Tipus
        {
            get { return this.idTipus; }
            set { this.idTipus = value; }
        }

        public Decimal Preu
        {
            get { return this.preu; }
            set { this.preu = value; }
        }

        public int Comensals
        {
            get { return this.comensals; }
            set { this.comensals = value; }
        }
    }

    public class Plats
    {
        private Dictionary<int, Plat> colPlats;

        public Plats()
        {
            this.colPlats = new Dictionary<int, Plat>();
        }

        public bool addPlat(Plat objPlats)
        {
            if (Existe(objPlats.IdPlat))
            {
                return false;
            }
            else
            {
                colPlats.Add(objPlats.IdPlat, objPlats);
                return true;
            }
        }

        public bool delPlat(int idPlat)
        {
            if (Existe(idPlat))
            {
                return colPlats.Remove(idPlat);
            }
            else
            {
                return false;
            }
        }
        public bool delPlat(Plat objPlats)
        {
            if (Existe(objPlats.IdPlat))
            {
                return colPlats.Remove(objPlats.IdPlat);
            }
            else
            {
                return false;
            }
        }

        public bool Existe(int idPlat)
        {
            if (colPlats.ContainsKey(idPlat))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public Plat getPlat(int idPlat)
        {
            if (Existe(idPlat))
            {
                return colPlats[idPlat];
            }
            else
            {
                return null;
            }
        }

        public Dictionary<int, Plat> getDiccionario()
        {
            return colPlats;
        }
    }
}
