﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WcfRestaurant.Objectes
{
    public class TipusPlat
    {
        private int idTipus;
        private string nom;

        public int IdTipus
        {
            get { return this.idTipus; }
            set { this.idTipus = value; }
        }

        public string Nom
        {
            get { return this.nom; }
            set { this.nom = value; }
        }

    }

    public class TipusPlats
    {
        private Dictionary<int, TipusPlat> colTipusPlats;

        public TipusPlats()
        {
            this.colTipusPlats = new Dictionary<int, TipusPlat>();
        }

        public bool addTipusPlat(TipusPlat objTipusPlat)
        {
            if (Existe(objTipusPlat.IdTipus))
            {
                return false;
            }
            else
            {
                colTipusPlats.Add(objTipusPlat.IdTipus, objTipusPlat);
                return true;
            }
        }

        public bool delTipusPlat(int idTipus)
        {
            if (Existe(idTipus))
            {
                return colTipusPlats.Remove(idTipus);
            }
            else
            {
                return false;
            }
        }
        public bool delTipusPlat(TipusPlat objTipusPlat)
        {
            if (Existe(objTipusPlat.IdTipus))
            {
                return colTipusPlats.Remove(objTipusPlat.IdTipus);
            }
            else
            {
                return false;
            }
        }

        public bool Existe(int idTipus)
        {
            if (colTipusPlats.ContainsKey(idTipus))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public TipusPlat getClient(int idTipus)
        {
            if (Existe(idTipus))
            {
                return colTipusPlats[idTipus];
            }
            else
            {
                return null;
            }
        }

        public Dictionary<int, TipusPlat> getDiccionario()
        {
            return colTipusPlats;
        }
    }
}
