﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WfRestaurant
{
    public partial class frmPrincipal : Form
    {

        public int iPermis;
        public frmPrincipal()
        {
            InitializeComponent();
        }

        private void frmPrincipal_Load(object sender, EventArgs e)
        {
            panel1.Visible = false;
            frmLogin oFrm = new frmLogin();
            oFrm.ShowDialog();
            
            if (oFrm.AccesCorrecte!=0)
            {
                panel1.Visible = true;
                iPermis = oFrm.AccesCorrecte;
                HabilitarBotons();
                oFrm.Close();
            }
            else
            {
                this.Close();
            }

        }

        private void btnUsuarios_Click(object sender, EventArgs e)
        {
            frmTreballadors oFrm = new frmTreballadors();
            oFrm.MdiParent = this;
            oFrm.Show();
        }

        private void btnSocios_Click(object sender, EventArgs e)
        {
            frmClients oFrm = new frmClients();
            oFrm.MdiParent = this;
            oFrm.Show();
        }

        private void btnMenu_Click(object sender, EventArgs e)
        {
            frmMenu oFrm = new frmMenu();
            oFrm.MdiParent = this;
            oFrm.Show();    
        }

        private void btnTipusPlats_Click(object sender, EventArgs e)
        {
            frmTipusPlats oFrm = new frmTipusPlats();
            oFrm.MdiParent = this;
            oFrm.Show();
        }

        private void btnPlats_Click(object sender, EventArgs e)
        {
            frmPlats oFrm = new frmPlats();
            oFrm.MdiParent = this;
            oFrm.Show();
        }

        private void btnComandes_Click(object sender, EventArgs e)
        {
            frmComanda oFrm = new frmComanda();
            oFrm.MdiParent = this;
            oFrm.Show();  
        }

        private void HabilitarBotons()
        {
            if (iPermis ==  1) {
                btnTreballadors.Enabled = true;
                btnClients.Enabled = true;
                btnTipusPlats.Enabled = true;
                btnPlats.Enabled = true;
                btnMenu.Enabled = true;
                btnComandes.Enabled = true;

            }
            else if (iPermis == 3)
            {
                btnComandes.Enabled = true;
            }
        }
    }
}
