﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace WpaRestaurant
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void btnAccedir_Click(object sender, RoutedEventArgs e)
        {
            ComprovarUsuari();
        }

        private void ComprovarUsuari()
        {
            SRMobile.MobileClient client = new SRMobile.MobileClient();
            string strRet = "";

            if ((txtUsuari.Text.Trim().Length > 0) && (pbContrasenya.Password.Trim().Length > 0))
            {
               client.ComprovarContrasenyaCompleted += new EventHandler<SRMobile.ComprovarContrasenyaCompletedEventArgs>(client_ComprovarContrasenyaCompleted);
               client.ComprovarContrasenyaAsync(txtUsuari.Text, pbContrasenya.Password);     
            }
            else
            {
                strRet = "S'ha d'informar un usuari i una contrasenya per a poder entrar.";
            }
            if (strRet != "")
                MessageBox.Show(strRet, "Accés Denegat", MessageBoxButton.OK);
        }

        void client_ComprovarContrasenyaCompleted(object sender, SRMobile.ComprovarContrasenyaCompletedEventArgs e)
        {
            if (e.Result == 2)
            {
                NavigationService.Navigate(new Uri("/pIniciComanda.xaml",UriKind.Relative));
            }
            else
            {
                MessageBox.Show("L'usuari i la contrasenya proporcionats no son correctes per accedir a l'aplicació de Comandes del Restaurant.", "Accés Denegat", MessageBoxButton.OK);
            }
        }

        private void PhoneApplicationPage_Loaded(object sender, RoutedEventArgs e)
        {

        }
    }
}