﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WpaRestaurant
{
    public partial class wpcControl : UserControl
    {
        public int AccesCorrecte;
        public SRTreballador.TreballadorClient client = new SRTreballador.TreballadorClient();
        
        public wpcControl()
        {
            InitializeComponent();
        }

        private void btnAccedir_Click(object sender, RoutedEventArgs e)
        {
            ComprovarUsuari();
        }

        private void ComprovarUsuari()
        {
            string strRet = "";

            if ((txtUsuari.Text.Trim().Length > 0) && (pbContrasenya.Password.Trim().Length > 0))
            {
                client.ComprovarContrasenyaCompleted += new EventHandler<SRTreballador.ComprovarContrasenyaCompletedEventArgs>(client_ComprovarContrasenyaCompleted);
                client.ComprovarContrasenyaAsync(txtUsuari.Text, pbContrasenya.Password);
            }
            else
            {
                strRet = "S'ha d'informar un usuar i una contrasenya per a poder entrar.";
            }
            if (strRet != "")
                MessageBox.Show(strRet, "Accés Denegat",MessageBoxButton.OK);
        }

        void client_ComprovarContrasenyaCompleted(object sender, SRTreballador.ComprovarContrasenyaCompletedEventArgs e)
        {
            if (e.Result != 3)
            {
                MessageBox.Show("L'usuari i la contrasenya proporcionats no son correctes per accedir a la gestió del Restaurant.", "Introdcucció de Comandes", MessageBoxButton.OK);
            }
        }
    }
}
