﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ComuRestaurant.Objectes
{
    public class LineaComanda
    {
        private int idLineaComanda;
        private int comanda;
        private Plat plat1;
        private Plat plat2;
        private Plat postre;
        private bool servida;

        public int IdLineaComanda
        {
            get { return this.idLineaComanda; }
            set { this.idLineaComanda = value; }
        }

        public int Comanda
        {
            get { return this.comanda; }
            set { this.comanda = value; }
        }

        public Plat Plat1
        {
            get { return this.plat1; }
            set { this.plat1 = value; }
        }

        public Plat Plat2
        {
            get { return this.plat2; }
            set { this.plat2 = value; }
        }

        public Plat Postre
        {
            get { return this.postre; }
            set { this.postre = value; }
        }

        public bool Servida
        {
            get { return this.servida; }
            set { this.servida = value; }
        }

    }

    public class LiniesComanda
    {
        private List<LineaComanda> colLineaComanda;

        public LiniesComanda()
        {
            this.colLineaComanda = new List<LineaComanda>();
        }

        public bool addLineaComada(LineaComanda objLinea)
        {
            if (Existeix(objLinea))
            {
                return false;
            }
            else
            {
                colLineaComanda.Add(objLinea);
                return true;
            }
        }


        public bool delLineaComanda(LineaComanda objLinea)
        {
            if (Existeix(objLinea))
            {
                return colLineaComanda.Remove(objLinea);
            }
            else
            {
                return false;
            }
        }

        public bool Existeix(LineaComanda objLinea)
        {
            if (colLineaComanda.Contains(objLinea))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public List<LineaComanda> getllista()
        {
            return colLineaComanda;
        }
    }
}
