﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ComuRestaurant.Objectes
{
    public class Menu
    {
        private int idMenu;
        private string nom;
        private Plat pPlat1;
        private Plat pPlat2;
        private Plat pPostre;
        private bool beguda;
        private string preu;
        private int comensals;
        private bool iva;

        public int IdMenu
        {
            get { return this.idMenu; }
            set { this.idMenu = value; }
        }

        public string Nom
        {
            get { return this.nom; }
            set { this.nom = value; }
        }

        public Plat Plat1
        {
            get { return this.pPlat1; }
            set { this.pPlat1 = value; }
        }

        public Plat Plat2
        {
            get { return this.pPlat2; }
            set { this.pPlat2 = value; }
        }

        public Plat Postre
        {
            get { return this.pPostre; }
            set { this.pPostre = value; }
        }

        public bool Beguda
        {
            get { return this.beguda; }
            set { this.beguda = value; }
        }

        public string Preu
        {
            get { return this.preu; }
            set { this.preu = value; }
        }

        public int Comensals
        {
            get { return this.comensals; }
            set { this.comensals = value; }
        }

        public bool IVA
        {
            get { return this.iva; }
            set { this.iva = value; }
        }

    }

    public class Menus
    {
        private List<Menu> colMenus;

        public Menus()
        {
            this.colMenus = new List<Menu>();
        }

        public bool addMenu(Menu objMenu)
        {
            if (Existeix(objMenu))
            {
                return false;
            }
            else
            {
                colMenus.Add(objMenu);
                return true;
            }
        }


        public bool delMenu(Menu objMenu)
        {
            if (Existeix(objMenu))
            {
                return colMenus.Remove(objMenu);
            }
            else
            {
                return false;
            }
        }

        public bool Existeix(Menu objMenu)
        {
            if (colMenus.Contains(objMenu))
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        public List<Menu> getllista()
        {
            return colMenus;
        }
    }
}
