﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ComuRestaurant.Objectes
{
    public class Plat
    {
        private int idPlat;
        private string nomCAT;
        private string nomESP;
        private string nomENG;
        private TipusPlat idTipus;
        private string preu;
        private int comensals;

        public int IdPlat
        {
            get { return this.idPlat; }
            set { this.idPlat = value; }
        }

        public string NomCAT
        {
            get { return this.nomCAT; }
            set { this.nomCAT = value; }
        }

        public string NomESP
        {
            get { return this.nomESP; }
            set { this.nomESP = value; }
        }

        public string NomENG
        {
            get { return this.nomENG; }
            set { this.nomENG = value; }
        }

        public TipusPlat Tipus
        {
            get { return this.idTipus; }
            set { this.idTipus = value; }
        }

        public string Preu
        {
            get { return this.preu; }
            set { this.preu = value; }
        }

        public int Comensals
        {
            get { return this.comensals; }
            set { this.comensals = value; }
        }
    }

    public class Plats
    {
        private List<Plat> colPlats;

        public Plats()
        {
            this.colPlats = new List<Plat>();
        }

        public bool addPlat(Plat objPlat)
        {
            if (Existeix(objPlat))
            {
                return false;
            }
            else
            {
                colPlats.Add(objPlat);
                return true;
            }
        }


        public bool delPlat(Plat objPlat)
        {
            if (Existeix(objPlat))
            {
                return colPlats.Remove(objPlat);
            }
            else
            {
                return false;
            }
        }

        public bool Existeix(Plat objPlat)
        {
            if (colPlats.Contains(objPlat))
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        
        public List<Plat> getllista()
        {
            return colPlats;
        }
    }
}
