﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ComuRestaurant.Objectes
{
    public class TipusPlat
    {
        private int idTipus;
        private string nom;

        public int IdTipus
        {
            get { return this.idTipus; }
            set { this.idTipus = value; }
        }

        public string Nom
        {
            get { return this.nom; }
            set { this.nom = value; }
        }

    }

    public class TipusPlats
    {
        private List<TipusPlat> colTipusPlat;

        public TipusPlats()
        {
            this.colTipusPlat = new List<TipusPlat>();
        }

        public bool addTipusPlat(TipusPlat objTipusPlat)
        {
            if (Existe(objTipusPlat))
            {
                return false;
            }
            else
            {
                colTipusPlat.Add(objTipusPlat);
                return true;
            }
        }


        public bool delTipusPlat(TipusPlat objTipusPlat)
        {
            if (Existe(objTipusPlat))
            {
                return colTipusPlat.Remove(objTipusPlat);
            }
            else
            {
                return false;
            }
        }

        public bool Existe(TipusPlat objTipusPlat)
        {
            if (colTipusPlat.Contains(objTipusPlat))
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        
        public List<TipusPlat> getllista()
        {
            return colTipusPlat;
        }
    }
}
