﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfRestaurant
{
    [ServiceContract]
    public interface IComandes
    {
        [OperationContract]
        string Eliminar(string Idcomanda);

        [OperationContract]
        ComuRestaurant.Objectes.Comanda Obtindre(string IdComanda);

        [OperationContract]
        List<ComuRestaurant.Objectes.Comanda> ObtindreTots();

        [OperationContract]
        int TotalComandes();

        [OperationContract]
        int TotalLiniesComandes();

        [OperationContract]
        int TotalLiniesComandesPerComanda(string IdComanda);

        [OperationContract]
        string EliminarLineaComanda(string IdLinea);

        [OperationContract]
        string LineaServida(string IdLinea);
        
        [OperationContract]
        List<ComuRestaurant.Objectes.LineaComanda> ObtindreLiniesPerComanda(string IdComanda);

        [OperationContract]
        string DesarComanda(string Comanda);
        
    }
}
