﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace WcfRestaurant
{
    [ServiceContract]
    interface IPlats
    {
        [OperationContract]
        string Eliminar(string IdPlat);

        [OperationContract]
        ComuRestaurant.Objectes.Plat Obtindre(string IdPlat);

        [OperationContract]
        List<ComuRestaurant.Objectes.Plat> ObtindreTots();

        [OperationContract]
        List<ComuRestaurant.Objectes.Plat> ObtindreTotsPerTipus(int IdTipus);

        [OperationContract]
        int TotalPlats();

        [OperationContract]
        string Desar(ComuRestaurant.Objectes.Plat objPlat);

        [OperationContract]
        string VerificarPlat(string idPlat,string posicioPlat);

        [OperationContract]
        bool Existeix(string IdPlat);
    }
}
