﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text.RegularExpressions;
using System.Data;

public partial class Ofertes : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void CreateUserWizard1_CreatedUser(object sender, EventArgs e)
    {

    }
    protected void btnAlta_Click(object sender, EventArgs e)
    {
        Alta();
    }

    private void Alta()
    {
        lbError.Text = "";
        if (VerificarDades())
        {
            if (comprovarMail(txtMail.Text))
            {
                DataView dv = (DataView)SqlDataSource1.Select(DataSourceSelectArguments.Empty);
                int reorderedProducts = (int)dv.Table.Rows.Count;
                if (reorderedProducts > 0)
                {

                    lbError.Text = "Mail existent a la Base de Dades";

                }
                else
                {
                    SqlDataSource1.Insert();
                    lbError.Text = "Alta Correcte";
                }

            }
            else
            {
                lbError.Text = "Mail incorrecte";
            }
        }
        else 
        {
            lbError.Text = "Tots el camps son obligatoris";
        }
    }

    private Boolean VerificarDades()
    {
        if (txtNom.Text == "") return false;

        if (txtCognom1.Text == "") return false;

        if (txtCognom2.Text == "") return false;

        if (txtMail.Text == "") return false;
        
        return true;
    }

    private Boolean comprovarMail(String email)
    {
        String expresion;
        expresion = "\\w+([-+.']\\w+)*@\\w+([-.]\\w+)*\\.\\w+([-.]\\w+)*";
        if (Regex.IsMatch(email, expresion))
        {
            if (Regex.Replace(email, expresion, String.Empty).Length == 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        else
        {
            return false;
        }
    }
}