﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WfRestaurant
{
    public partial class frmLogin : Form
    {
        public int AccesCorrecte;
        public SRTreballador.TreballadorClient client = new SRTreballador.TreballadorClient();

        public frmLogin()
        {
            InitializeComponent();
            AccesCorrecte = 0;

        }

        private void btnEntrar_Click(object sender, EventArgs e)
        {
            ComprovarUsuari();

        }

        private void ComprovarUsuari()
        {
            string strRet = "";
            int iRol = 0;

            if ((txtUsuari.Text.Trim().Length > 0) && (mtbPassword.Text.Trim().Length > 0))
            {

                iRol = client.ComprovarContrasenya(txtUsuari.Text, mtbPassword.Text);

                if (iRol != 0)
                {
                    AccesCorrecte = iRol;
                    this.Close();
                }
                else
                {
                    strRet = "L'usuari i la contrasenya proporcionats no son correctes per accedir a la gestió del Restaurant.";
                }
            }
            else
            {
                strRet = "S'ha d'informar un usuar i una contrasenya per a poder entrar.";
            }
            if (strRet != "")
                MessageBox.Show(strRet, "Accés Denegat", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void btnSortir_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void mtbPassword_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == 13)
                ComprovarUsuari();
        }

    }
}